package com.glxp.mipsdl.controller;

import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.glxp.mipsdl.client.ClientProcessor;
import com.glxp.mipsdl.dao.basic.BasicBussinessTypeDao;
import com.glxp.mipsdl.entity.basic.BasicBussinessTypeEntity;
import com.glxp.mipsdl.entity.njxyy.BasicCorpEntity;
import com.glxp.mipsdl.req.base.UdiwmsQueryUdiInvProductsRequest;
import com.glxp.mipsdl.res.BaseResponse;
import com.glxp.mipsdl.thirddao.njxyy.TestDataMapper;
import com.glxp.mipsdl.util.ResultVOUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@Slf4j
@RestController
public class TestController {

    @Resource
    TestDataMapper testDataMapper;
    @Resource
    BasicBussinessTypeDao bussinessTypeDao;


    @GetMapping("/test/nj")
    public BaseResponse filterInv() {
        for (int i = 0; i < 100000; i++) {
            List<BasicCorpEntity> data = testDataMapper.selectList(new QueryWrapper<BasicCorpEntity>().last("limit 10"));
            log.info(i+"");
        }
        return ResultVOUtils.success();
    }

    @GetMapping("/test/ct")
    public BaseResponse filterCt() {
        for (int i = 0; i < 100000; i++) {
            List<BasicBussinessTypeEntity> data = bussinessTypeDao.selectList(new QueryWrapper<BasicBussinessTypeEntity>());
            log.info(i+"");
        }
        return ResultVOUtils.success();
    }


}
